Uploaded image for project: 'Apache Drill'
  1. Apache Drill
  2. DRILL-4756

JPAM library required by Drill does not work for Mac; provide alternative

Attach filesAttach ScreenshotAdd voteVotersWatch issueWatchersCreate sub-taskLinkCloneUpdate Comment AuthorReplace String in CommentUpdate Comment VisibilityDelete Comments
    XMLWordPrintableJSON

Details

    • Improvement
    • Status: Open
    • Minor
    • Resolution: Unresolved
    • 1.6.0
    • None
    • None
    • None

    Description

      As described in the documentation (http://drill.apache.org/docs/configuring-user-authentication/) Drill uses the JPAM library (https://sourceforge.net/projects/jpam/files/jpam/jpam-1.1/) to integrate with PAM for security.

      Many people use Macs to prototype, develop and test Drill prior to deployment. However, the jpam native library provided by the above project is from 2007 and does not work on modern Macs. Instead, we get the following error:

      Caused by: java.lang.UnsatisfiedLinkError: /Users/fred/play/drill-site/lib/libjpam.jnilib: dlopen(/Users/fred/play/drill-site/lib/libjpam.jnilib, 1): no suitable image found. Did find:
      /Users/fred/play/drill-site/lib/libjpam.jnilib: mach-o, but wrong architecture

      One can recompile the code, but the code itself is outdated with respect to the modern Mac.

      Drill should provide a working build of the library for the Mac to help with pre-deployment efforts.

      Attachments

        Issue Links

        Activity

          This comment will be Viewable by All Users Viewable by All Users
          Cancel

          People

            Unassigned Unassigned
            paul-rogers Paul Rogers

            Dates

              Created:
              Updated:

              Issue deployment